> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Fixed Asset



## OpenAPI

````yaml /api/openapi-finindex.json post /api/v1/fixed-assets
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/fixed-assets:
    post:
      tags:
        - Fixed Assets
      summary: Create Fixed Asset
      operationId: create_fixed_asset_api_v1_fixed_assets_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FixedAssetCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FixedAssetResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FixedAssetCreate:
      properties:
        name:
          type: string
          title: Name
        assetCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Assetcode
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        acquisitionDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Acquisitiondate
        inServiceDate:
          type: string
          format: date
          title: Inservicedate
        cost:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost
        salvageValue:
          anyOf:
            - type: number
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Salvagevalue
          default: '0'
        usefulLifeMonths:
          type: integer
          exclusiveMinimum: 0
          title: Usefullifemonths
        method:
          type: string
          title: Method
          default: straight_line
        ddbFactor:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Ddbfactor
        totalUnits:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Totalunits
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - name
        - inServiceDate
        - cost
        - usefulLifeMonths
      title: FixedAssetCreate
    FixedAssetResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        assetCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Assetcode
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        inServiceDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Inservicedate
        cost:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost
        salvageValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Salvagevalue
        usefulLifeMonths:
          type: integer
          title: Usefullifemonths
        method:
          type: string
          title: Method
        accumulatedDepreciation:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Accumulateddepreciation
        bookValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Bookvalue
        status:
          type: string
          title: Status
      type: object
      required:
        - id
        - name
        - cost
        - salvageValue
        - usefulLifeMonths
        - method
        - accumulatedDepreciation
        - bookValue
        - status
      title: FixedAssetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````